=== debian/changelog ===
ros-melodic-move-basic (0.4.1-1bionic) bionic; urgency=high

  * Removed backward drive
  * Cosine Runaway safety abort
  * Minimum velocity parameters
  * Stop service
  * Contributors: Janez Cimerman, Jim Vaughan, Mark Johnston, MoffKalast, Rohan Agrawal, Teodor Janez Podobnik

 -- Jim Vaughan <jimv@mrjim.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-melodic-move-basic (0.4.0-1bionic) bionic; urgency=high

  * Add PID control for steering
  * Fix final orientation bug
  * Add action goal queueing
  * Separated collision checking and obstacle points
  * Add dynamic reconfigure
  * Contributors: Teodor Janez Podobnik, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Tue, 15 Dec 2020 23:00:00 -0000

ros-melodic-move-basic (0.3.2-1bionic) bionic; urgency=high

  * Don't rotate to go small distances
  * Reduce verbosity when rotating
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Fri, 02 Mar 2018 23:00:00 -0000

ros-melodic-move-basic (0.3.1-1bionic) bionic; urgency=high

  * Publish forward obstacle distance (#31 <https://github.com/UbiquityRobotics/move_basic/issues/31>)
  * Improve Lidar-based obstacle detection (#30 <https://github.com/UbiquityRobotics/move_basic/issues/30>)
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 03 Feb 2018 23:00:00 -0000

ros-melodic-move-basic (0.3.0-1bionic) bionic; urgency=high

  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 20 Jan 2018 23:00:00 -0000

ros-melodic-move-basic (0.2.2-1bionic) bionic; urgency=high

  * Will reverse for small distances without rotating
  * Try to operate in the frame the goal is in if no map frame
  * Add map_frame param
  * Add frane to points in path
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 07 Oct 2017 22:00:00 -0000

ros-melodic-move-basic (0.2.1-1bionic) bionic; urgency=high

  * Add map_frame param
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-move-basic (0.2.0-1bionic) bionic; urgency=high

  * Add move_base_msgs dep
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 20 May 2017 22:00:00 -0000

ros-melodic-move-basic (0.1.1-1bionic) bionic; urgency=high

  * Add URL to wiki page to README.md (#15 <https://github.com/UbiquityRobotics/move_basic/issues/15>)
  * added all deps in the package xml (#14 <https://github.com/UbiquityRobotics/move_basic/issues/14>)
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 14 May 2017 22:00:00 -0000

ros-melodic-move-basic (0.1.0-1bionic) bionic; urgency=high

  * Initial Release of a package for very basic navigation. The path planning consists of rotating in place to face the goal and then driving straight toward it. It is designed to provide the same interfaces as move_base.
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Tue, 09 May 2017 22:00:00 -0000
